summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorUniversebenzene2020-05-09 14:01:48 +0800
committerUniversebenzene2020-05-09 14:01:48 +0800
commit3b9c56211d621c5ef22c0e386410bbf6adf84864 (patch)
tree4dca6cb1c726e4dbd941d62e41830c7344b2f054
parent5d4c5a9b5f6b69c6a65817e4638b461ae3383383 (diff)
downloadaur-python2-easyprocess.tar.gz
Update to version 0.3
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD44
2 files changed, 30 insertions, 29 deletions
diff --git a/.SRCINFO b/.SRCINFO
index bed62d6cf5e..7ff09a11368 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,20 +1,17 @@
pkgbase = python2-easyprocess
pkgdesc = EasyProcess - an easy to use python subprocess interface.
- pkgver = 0.2.10
+ pkgver = 0.3
pkgrel = 1
- url = http://easyprocess.readthedocs.io/en/latest/
+ url = http://easyprocess.readthedocs.io
arch = any
license = BSD
+ checkdepends = python2-pytest
+ checkdepends = python2-pyvirtualdisplay
makedepends = python2-setuptools
- makedepends = python2-sphinx
- source = https://files.pythonhosted.org/packages/source/E/EasyProcess/EasyProcess-0.2.10.tar.gz
- md5sums = 1bc3b3ee232df8302e43f400c4d6d505
+ source = https://files.pythonhosted.org/packages/source/E/EasyProcess/EasyProcess-0.3.tar.gz
+ md5sums = c01743dbb725b9018415f76af3981387
pkgname = python2-easyprocess
depends = python2>=2.7
- depends = python2-setuptools
optdepends = python-easyprocess-doc: Documentation for EasyProcess
-pkgname = python-easyprocess-doc
- pkgdesc = Documentation for EasyProcess
-
diff --git a/PKGBUILD b/PKGBUILD
index 9548f7edff1..c3f8f815e68 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,47 +1,51 @@
# Maintainer: Astro Benzene <universebenzene at sina dot com>
pkgbase=python2-easyprocess
-pkgname=('python2-easyprocess' 'python-easyprocess-doc')
-pkgver=0.2.10
+pkgname=('python2-easyprocess')
+#'python-easyprocess-doc')
+pkgver=0.3
pkgrel=1
pkgdesc="EasyProcess - an easy to use python subprocess interface."
arch=('any')
-url="http://easyprocess.readthedocs.io/en/latest/"
+url="http://easyprocess.readthedocs.io"
license=('BSD')
-makedepends=('python2-setuptools' 'python2-sphinx')
-#checkdepends=('python2-pytest' 'python2-nose' 'python2-pyvirtualdisplay')
+makedepends=('python2-setuptools')
+# 'python2-sphinx')
+checkdepends=('python2-pytest' 'python2-pyvirtualdisplay')
+#'python2-nose')
source=("https://files.pythonhosted.org/packages/source/E/EasyProcess/EasyProcess-${pkgver}.tar.gz")
-md5sums=('1bc3b3ee232df8302e43f400c4d6d505')
+md5sums=('c01743dbb725b9018415f76af3981387')
build() {
cd ${srcdir}/EasyProcess-${pkgver}
python2 setup.py build
- msg "Building Docs"
- python2 setup.py build_sphinx
+# msg "Building Docs"
+# python2 setup.py build_sphinx
}
check() {
cd ${srcdir}/EasyProcess-${pkgver}
- python2 setup.py test
-# PYTHONPATH="build/lib" pytest2
+# python2 setup.py test
+# pytest2
+ PYTHONPATH="build/lib" pytest2 || warning "Tests failed"
}
package_python2-easyprocess() {
- depends=('python2>=2.7' 'python2-setuptools')
+ depends=('python2>=2.7')
optdepends=('python-easyprocess-doc: Documentation for EasyProcess')
cd ${srcdir}/EasyProcess-${pkgver}
install -D -m644 LICENSE.txt -t "${pkgdir}/usr/share/licenses/${pkgname}"
- install -D -m644 README.rst -t "${pkgdir}/usr/share/doc/${pkgname}"
+ install -D -m644 README.md -t "${pkgdir}/usr/share/doc/${pkgname}"
python2 setup.py install --root=${pkgdir} --prefix=/usr --optimize=1
}
-package_python-easyprocess-doc() {
- pkgdesc="Documentation for EasyProcess"
- cd ${srcdir}/EasyProcess-${pkgver}/build/sphinx
-
- install -D -m644 -t "${pkgdir}/usr/share/licenses/${pkgname}" ../../LICENSE.txt
- install -d -m755 "${pkgdir}/usr/share/doc/${pkgbase}"
- cp -a html "${pkgdir}/usr/share/doc/${pkgbase}"
-}
+#package_python-easyprocess-doc() {
+# pkgdesc="Documentation for EasyProcess"
+# cd ${srcdir}/EasyProcess-${pkgver}/build/sphinx
+#
+# install -D -m644 -t "${pkgdir}/usr/share/licenses/${pkgname}" ../../LICENSE.txt
+# install -d -m755 "${pkgdir}/usr/share/doc/${pkgbase}"
+# cp -a html "${pkgdir}/usr/share/doc/${pkgbase}"
+#}